:root {
    --gap-max: 10px;
    --gap-min: 10px;
    --current-gap: var(--gap-max);
}
.games-header {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.games-content {
    color: var(--primary-color);
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: var(--background-color);
    z-index: 1;
    overflow: hidden;
    transform: translateX(100vw);
    transition: transform 320ms cubic-bezier(0.4, 0.0, 0.2, 1);
}

    .games-content .search-container {
        position: relative;
        width: 80%;
        margin: 0px auto;
        margin-bottom: 0;
    }

.games-content .search-input {
    margin: 0;
    width: 100%;
/*    padding: 10px 10px 10px 40px;*/
    border-radius: 15px;
    border: 1px solid var(--border-color);
    background-color: var(--block-color);
    color: white;
    font-size: 16px;
}

    .games-content .game-grid, .games-content .games-grid {
        height: -webkit-fill-available;
        overflow-y: scroll;
        width: 80%;
        margin: 20px auto;
        margin-top: -1rem;
        min-height: 300px;
        position: relative;
        gap: var(--current-gap);
        display: grid;
        column-gap: 10px;
        grid-template-columns: repeat(3, 1fr);
        -webkit-mask-image: linear-gradient(to bottom, transparent, white 4% 4%, white 80%, transparent);
    }

    .games-content .game-card {
/*        background-size: cover;*/
        background-position: center;
        overflow: hidden;
        border: solid 0.1rem var(--border-color);
        color: #ffffff;
        background-color: #00000000;
        aspect-ratio: 0.85;
        border-radius: 10px;
        padding: 0.4rem;
        font-weight: 600;
        font-size: 0.8rem;
        cursor: pointer;
        display: flex;
        align-items: flex-end;
        justify-content: flex-start;
        text-align: start;
        position: absolute;
        width: calc((100% / 3) - var(--current-gap) * 2 / 3);
        box-sizing: border-box;
        transition: opacity 0.3s ease;
    }
.games-content .game-card.selected {
    background-color: var(--block-color);
}
.checkmark{
    z-index: 7;
}
.games-content .game-card .checkmark {
    position: absolute;
    top: 5px;
    left: 5px;
    width: 20px;
    height: 20px;
    background-color: var(--border-color);
    border-radius: 50%;
    display: none;
    background-image: url("../../images/checkmark.webp");
    background-size: 54%;
    background-repeat: no-repeat;
    background-position: center;
}
.games-content .game-card.selected .checkmark {
    display: block !important;
}
@keyframes slideInUp {
    from {
        transform: translateY(50px);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}
@media (max-width: 700px) {
    .games-content .game-grid, .games-content .games-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}
@media (max-width: 480px) {
    .games-content .game-grid, .games-content .games-grid {
        grid-template-columns: 1fr;
    }
} 